Patch upgrade from v5.0 to 5.1

For Flowcode users to discuss projects, flowcharts, and any other issues related to Flowcode 5.
To post in this forum you must have a registered copy of Flowcode 5 or higher.

Moderator: Benj

User avatar
JonnyW
Posts: 1230
Joined: Fri Oct 29, 2010 9:13 am
Location: Matrix Multimedia Ltd
Has thanked: 64 times
Been thanked: 306 times
Contact:

Patch upgrade from v5.0 to 5.1

Postby JonnyW » Mon Feb 13, 2012 5:05 pm

Hello all. There is a patch available here to upgrade v5.0 to v5.1. Just download and run the .msp file and this will take you through the upgrade.

http://www.matrixmultimedia.com/resources/getresource.php?id=585

All the patched fixes should be provided in this and it should address many issues. Please continue posting any issues you have so we can get them sorted as quick as possible.

Anyone purchasing the product from now on will receive 5.1, so there will be no need to upgrade. Keep an eye on the web links in Flowcode (Menu->Help->Online Resources...) for the latest updates and patches.

We hope you enjoy this version of Flowcode!
These users thanked the author JonnyW for the post:
JohnCrow (Mon Feb 13, 2012 10:00 pm)
Rating: 5%
 

jgu1
Posts: 1179
Joined: Tue Oct 06, 2009 9:39 am
Has thanked: 1104 times
Been thanked: 295 times
Contact:

Re: Patch upgrade from v5.0 to 5.1

Postby jgu1 » Mon Feb 13, 2012 7:01 pm

Hi Jonny!

After update to 5.1 I am not able to go in "Global option". I get a message: "Attempted an unsupported operation."
If I say ok for this, it opened and nothing is in there. Have I done something wrong :?: I only run the installfile.


And if I go in helpmenu for chek update, I get this message:

Your current version is: 5.01

There is a newer version of Flowcode_PIC available for download.

Click the button below to send the update URL to your email address.

When I looked in about FC I see Ver. 5.1

Best regard

Jorgen :oops:

User avatar
JohnCrow
Valued Contributor
Valued Contributor
Posts: 1367
Joined: Wed Sep 19, 2007 1:21 pm
Location: Lincolnshire
Has thanked: 381 times
Been thanked: 720 times
Contact:

Re: Patch upgrade from v5.0 to 5.1

Postby JohnCrow » Mon Feb 13, 2012 7:43 pm

Hi
Just installed on my system, no problem with the global options function here.
1 in 10 people understand binary, the other one doesn't !

User avatar
medelec35
Valued Contributor
Valued Contributor
Posts: 8825
Joined: Sat May 05, 2007 2:27 pm
Location: Northamptonshire, UK
Has thanked: 2561 times
Been thanked: 3720 times
Contact:

Re: Patch upgrade from v5.0 to 5.1

Postby medelec35 » Mon Feb 13, 2012 8:03 pm

jgu1 wrote:After update to 5.1 I am not able to go in "Global option". I get a message: "Attempted an unsupported operation."
If I say ok for this, it opened and nothing is in there. Have I done something wrong :?: I only run the installfile.

Working OK for me as well.
jgu1 wrote:And if I go in helpmenu for chek update, I get this message:

Your current version is: 5.01

There is a newer version of Flowcode_PIC available for download.

Click the button below to send the update URL to your email address.

When I looked in about FC I see Ver. 5.1


That's probably normal because the new 5.1 has not been set up on @MM servers yet. <A guess
It does the same thing for me

The splash screen which is also accessible via help and about should display your current version which is what you did.

I have just noticed that wolfgang is reporting that issue here:
viewtopic.php?f=46&t=10233
Martin

If you read a post that is useful, please show appreciation by clicking on thumbs up Icon.

User avatar
JonnyW
Posts: 1230
Joined: Fri Oct 29, 2010 9:13 am
Location: Matrix Multimedia Ltd
Has thanked: 64 times
Been thanked: 306 times
Contact:

Re: Patch upgrade from v5.0 to 5.1

Postby JonnyW » Mon Feb 13, 2012 8:15 pm

jgu1 wrote:After update to 5.1 I am not able to go in "Global option". I get a message: "Attempted an unsupported operation."
If I say ok for this, it opened and nothing is in there. Have I done something wrong :?: I only run the installfile.


Hi Jorgen.

That is very odd. I wouldn't have any sleep tonight if others were having the same problem, but it looks like maybe your DLLs have not updated correctly or there is some registry issue, maybe. Are there any other dialogs you can open which report this error (or similar)?

At a thought - what language have you set Flowcode for?

In the Flowcode directory (C:\Program Files...\Flowcode\v5) there are a number of DLLs, such as EnGB.dll. These are the language packs installed with Flowcode. Right click on a DLL and click properties, then check the version details in this. All DLLs should also be v5.1.

If you could let us know what language you are using and also what version the DLLs are (a couple will do - great if you know your language code) we will look into this as a priority tomorrow morning.

If you need to get on with work, you could try to delete the global option setting in Flowcode (I have not access to a Windows PC, but as a guess, HKEY_USER/Software/MatrixMM/Flowcode5/Options, maybe but it is safe to delete the whole v5 hive and Flowcode will regenerate it) and this might allow you in global options.

Cheers, and apologies for inconvenience,

Jonny

jgu1
Posts: 1179
Joined: Tue Oct 06, 2009 9:39 am
Has thanked: 1104 times
Been thanked: 295 times
Contact:

Re: Patch upgrade from v5.0 to 5.1

Postby jgu1 » Mon Feb 13, 2012 9:16 pm

Hi Jonny!

I am Danish and use of course the danish langauge. And the update was on my XP machine. Meanwhile I have tryed to update my Win7 machine, the same problem. I will check your adwice. Thank´s. As far as now I have not found any other errors.

I have now check these .DLL file it is ver.5.1.I dare not begin on the last thing you describe What else can I do :?:

Best regard-

Jorgen. :?:

User avatar
JohnCrow
Valued Contributor
Valued Contributor
Posts: 1367
Joined: Wed Sep 19, 2007 1:21 pm
Location: Lincolnshire
Has thanked: 381 times
Been thanked: 720 times
Contact:

Re: Patch upgrade from v5.0 to 5.1

Postby JohnCrow » Mon Feb 13, 2012 9:53 pm

The EEPROM simulation seems to be working ok now.
Im currently developing a program that uses the EEPROM, was showing the simulation bug, but now works fine in simulation.
1 in 10 people understand binary, the other one doesn't !

User avatar
JonnyW
Posts: 1230
Joined: Fri Oct 29, 2010 9:13 am
Location: Matrix Multimedia Ltd
Has thanked: 64 times
Been thanked: 306 times
Contact:

Re: Patch upgrade from v5.0 to 5.1

Postby JonnyW » Mon Feb 13, 2012 10:10 pm

The EEPROM simulation seems to be working ok now.

Good news! Tomorrow I will try and get a list of fixes posted so as to know what to expect (and not to expect!)

I have now check these .DLL file it is ver.5.1.I dare not begin on the last thing you describe What else can I do

I will have a word with Steve tomorrow - the patch and registry settings are not my area so I am only guessing at the issue. Hopefully he will have some ideas however it may be that the solution is just to get the complete 5.1 install and run this.

I will also test the system with the Danish language - this might have been missed in testing (we have a lot of combinations to test) but it may be that the install messed something up.

Here is a file that should turn off the 'override language' option in global settings. Extract the .reg file and run this and it will update the v5 registry. Ensure Flowcode is restarted after the file is run. Please let us know if this allows you to access global settings, and this will help us narrow down a fix.
NoLang.zip
Registry to turn off override lang
(324 Bytes) Downloaded 181 times


Cheers,

Jonny

User avatar
JohnCrow
Valued Contributor
Valued Contributor
Posts: 1367
Joined: Wed Sep 19, 2007 1:21 pm
Location: Lincolnshire
Has thanked: 381 times
Been thanked: 720 times
Contact:

Re: Patch upgrade from v5.0 to 5.1

Postby JohnCrow » Mon Feb 13, 2012 10:26 pm

Macro bar
The Macro Icon tool bar will now stay at the top of the screen when I move it :)

BUT for some reason after closing FC and re opening it, it wont stay inline with the tool bar icons, i.e it starts a new line with the LHS of the macro bar below the RHS of the tool bar (Hope thats clear :) )
FC4 they did stay in line
1 in 10 people understand binary, the other one doesn't !

User avatar
JonnyW
Posts: 1230
Joined: Fri Oct 29, 2010 9:13 am
Location: Matrix Multimedia Ltd
Has thanked: 64 times
Been thanked: 306 times
Contact:

Re: Patch upgrade from v5.0 to 5.1

Postby JonnyW » Mon Feb 13, 2012 10:33 pm

JohnCrow wrote:Macro bar
The Macro Icon tool bar will now stay at the top of the screen when I move it :)

BUT for some reason after closing FC and re opening it, it wont stay inline with the tool bar icons, i.e it starts a new line with the LHS of the macro bar below the RHS of the tool bar (Hope thats clear :) )
FC4 they did stay in line


Yes, I'm afraid this is so. There is a built in Windows API to store the toolbars and panel state used in v4. We changed some of the UI in v5 (for split flowchart-windows, etc) and this API suddenly became extremely unreliable, so for stability I rewrote much of it myself. Unfortunately trying to get the toolbars to stay where they are put was a casualty of that. I hope you can rearrange them to your liking and it doesn't cause too much trouble!

Jonny

User avatar
JohnCrow
Valued Contributor
Valued Contributor
Posts: 1367
Joined: Wed Sep 19, 2007 1:21 pm
Location: Lincolnshire
Has thanked: 381 times
Been thanked: 720 times
Contact:

Re: Patch upgrade from v5.0 to 5.1

Postby JohnCrow » Mon Feb 13, 2012 10:44 pm

Hi Jonny
Ok thanks, its not a big issue, again its only cosmetic, just have to give it a nudge back into place
1 in 10 people understand binary, the other one doesn't !

brandonb
Posts: 438
Joined: Mon Aug 29, 2011 12:26 am
Location: arizona
Has thanked: 175 times
Been thanked: 173 times
Contact:

Re: Patch upgrade from v5.0 to 5.1

Postby brandonb » Mon Feb 13, 2012 10:58 pm

i can now open my huge v4 files ..... v5 is awesome!!! :D i bet alot of hardwork went in to creating it

jgu1
Posts: 1179
Joined: Tue Oct 06, 2009 9:39 am
Has thanked: 1104 times
Been thanked: 295 times
Contact:

Re: Patch upgrade from v5.0 to 5.1

Postby jgu1 » Tue Feb 14, 2012 7:55 am

Hi Jonny!

Unfortunately it did not solve my problem with this Reg file. Sorry. Hope you will help :roll:

By the way, will this error affect other things in the FC. v5.1 :?:

Best regard.

Jorgen

User avatar
Steve
Matrix Staff
Posts: 3151
Joined: Tue Jan 03, 2006 3:59 pm
Has thanked: 107 times
Been thanked: 414 times
Contact:

Re: Patch upgrade from v5.0 to 5.1

Postby Steve » Tue Feb 14, 2012 9:13 am

Hi,

It looks like the non-English language DLLs have a missing string which causes an error when the "Global Options" screen is displayed. If this issue is affecting you then please download, extract and run the attached registry patch which should force the language to English.

We're sorry for this problem and will try to fix it as soon as we can.
Attachments
ForceENGB.zip
(264 Bytes) Downloaded 133 times
These users thanked the author Steve for the post:
jgu1 (Tue Feb 14, 2012 10:47 am)
Rating: 5%
 

saschech@gmx.de
Posts: 714
Joined: Wed Jan 31, 2007 12:41 pm
Has thanked: 1 time
Been thanked: 26 times
Contact:

Re: Patch upgrade from v5.0 to 5.1

Postby saschech@gmx.de » Tue Feb 14, 2012 9:48 am

Hello Steve

After run your patch,the language change from germ. to english;but if I change back to german,close and reopen I have the thame "error"

Regards Wolfgang

jgu1
Posts: 1179
Joined: Tue Oct 06, 2009 9:39 am
Has thanked: 1104 times
Been thanked: 295 times
Contact:

Re: Patch upgrade from v5.0 to 5.1

Postby jgu1 » Tue Feb 14, 2012 10:39 am

Hi!

After running Steve´s ForceENGB.zip It seemed to work correct by me. So Matrix team, is this the solution :?: :?:

Thank´s

Jorgen.

User avatar
Steve
Matrix Staff
Posts: 3151
Joined: Tue Jan 03, 2006 3:59 pm
Has thanked: 107 times
Been thanked: 414 times
Contact:

Re: Patch upgrade from v5.0 to 5.1

Postby Steve » Tue Feb 14, 2012 11:22 am

That reg script is not the solution - only a temporary fix.

The patch file has been updated, so this issue will only exist for people who have downloaded and installed the patch in the last 24 hours. For anyone who has applied the patch but is suffering from this problem, I will make available the fixed language DLL here. For convenience, here is the Danish language file.

FlowDA.zip
(869.92 KiB) Downloaded 136 times

To apply this fix, download, unzip and add it to the Flowcode folder in your PC, replacing the one that is currently there.

If anyone else is experiencing this particular issue (i.e. "Attempted an unsupported operation" when opening the global options screen), then please tell me which language pack you require and I will make it available here.

Note this will only affect those few users who have recently downloaded the patch and are using Flowcode in a non-English language - so only download and apply this fix if you are using V5.1 of Flowcode and are specifically experiencing this issue.

JCMB
Posts: 22
Joined: Wed Feb 08, 2006 3:15 pm
Location: St Etienne, France
Been thanked: 1 time
Contact:

Re: Patch upgrade from v5.0 to 5.1

Postby JCMB » Wed Feb 15, 2012 9:20 am

Same problem for french.
Thank's.

User avatar
JonnyW
Posts: 1230
Joined: Fri Oct 29, 2010 9:13 am
Location: Matrix Multimedia Ltd
Has thanked: 64 times
Been thanked: 306 times
Contact:

Re: Patch upgrade from v5.0 to 5.1

Postby JonnyW » Wed Feb 15, 2012 10:42 am

Hi. Here is the French translation file packaged with the current v5.1.

FlowFRFR.zip
French translation
(863.09 KiB) Downloaded 137 times


Again, to apply this fix, download, unzip and add it to the Flowcode folder in your PC, replacing the one that is currently there.

Thanks for letting us know,

Jonny

JCMB
Posts: 22
Joined: Wed Feb 08, 2006 3:15 pm
Location: St Etienne, France
Been thanked: 1 time
Contact:

Re: Patch upgrade from v5.0 to 5.1

Postby JCMB » Fri Feb 17, 2012 5:26 pm

Patch for french is OK.
Thank's.

DirkB
Posts: 113
Joined: Wed Feb 08, 2012 2:45 pm
Has thanked: 7 times
Been thanked: 11 times
Contact:

Re: Patch upgrade from v5.0 to 5.1

Postby DirkB » Sat Feb 18, 2012 7:02 pm

for german too.

thank's

User avatar
Steve
Matrix Staff
Posts: 3151
Joined: Tue Jan 03, 2006 3:59 pm
Has thanked: 107 times
Been thanked: 414 times
Contact:

Re: Patch upgrade from v5.0 to 5.1

Postby Steve » Mon Feb 20, 2012 9:11 am

Here is the German file...
Attachments
FlowDEDE.zip
(871.1 KiB) Downloaded 128 times

User avatar
STibor
Posts: 262
Joined: Fri Dec 16, 2011 3:20 pm
Has thanked: 115 times
Been thanked: 112 times
Contact:

Re: Patch upgrade from v5.0 to 5.1

Postby STibor » Mon Feb 20, 2012 6:58 pm

Hi!

View menu/global options :Attempted an unsupported operation.
Language: Hungarian

User avatar
JonnyW
Posts: 1230
Joined: Fri Oct 29, 2010 9:13 am
Location: Matrix Multimedia Ltd
Has thanked: 64 times
Been thanked: 306 times
Contact:

Re: Patch upgrade from v5.0 to 5.1

Postby JonnyW » Mon Feb 20, 2012 7:16 pm

Hi. Here is the Hungarian file.

FlowHU.zip
Copy to the v5 directory
(856.55 KiB) Downloaded 132 times


Cheers,

Jonny

User avatar
STibor
Posts: 262
Joined: Fri Dec 16, 2011 3:20 pm
Has thanked: 115 times
Been thanked: 112 times
Contact:

Re: Patch upgrade from v5.0 to 5.1

Postby STibor » Mon Feb 20, 2012 8:13 pm

Thank you for your help, it works!
Small translation problem, attached image.
Attachments
exit the properties.jpg
exit the properties.jpg (44.86 KiB) Viewed 9417 times